%define aurox_ver 9.3
%define rel 1

%define poname redhat-config-soundcard

Summary: A graphical interface for detecting and configuring soundcards
Name: system-config-soundcard
Version: 1.0.8
Release: %{aurox_ver}.aur.%{rel}
URL: http://fedora.redhat.com/projects/config-tools/
License: GPL
ExclusiveOS: Linux
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Source0: redhat-config-soundcard-%{version}.tar.bz2
Patch0: redhat-config-soundcard-%{version}-aurox.patch
BuildRequires: desktop-file-utils
BuildRequires: gettext
ExcludeArch: s390 s390x
Obsoletes: redhat-config-soundcard
Provides: redhat-config-soundcard = %{version}
Requires: pygtk2
Requires: python2
Requires: usermode >= 1.36
Requires: sox
Requires: rhpl

%description
system-config-soundcard is a graphical user interface that 
detects and configures the soundcard(s) on the system.

%prep
%setup -q -n redhat-config-soundcard-%{version}
%patch -p1 -b .aurox

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make INSTROOT=$RPM_BUILD_ROOT install
mv -f   $RPM_BUILD_ROOT%{_datadir}/applications/redhat-config-soundcard.desktop \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

desktop-file-install --vendor system --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications              \
  --add-category X-Aurox-Base                                \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %poname

%clean
rm -rf $RPM_BUILD_ROOT

%preun
if [ -d /usr/share/redhat-config-soundcard ] ; then
  rm -rf /usr/share/redhat-config-soundcard/*.pyc
fi

%files -f %{poname}.lang
%defattr(-,root,root)
#%doc COPYING
#%doc doc/*
/usr/bin/redhat-config-soundcard
%dir /usr/share/redhat-config-soundcard
/usr/share/redhat-config-soundcard/*
%attr(0644,root,root) %{_datadir}/applications/%{name}.desktop
%attr(0644,root,root) %config /etc/security/console.apps/redhat-config-soundcard
%attr(0644,root,root) %config /etc/pam.d/redhat-config-soundcard

%changelog
* Thu Jan 29 2004 Aurox Team <aurox@aurox.org> 0:1.0.8-9.3.aur.1
- use poname for translations
- import to svn
- port patch from Aurox 9.1 and Polish translation

* Mon Sep 15 2003 Brent Fox <bfox@redhat.com> 1.0.8-2
- bump release and rebuild

* Mon Sep 15 2003 Brent Fox <bfox@redhat.com> 1.0.8-1
- make sure Danish po file charset is UTF-8 (bug #104190)

* Thu Aug 14 2003 Brent Fox <bfox@redhat.com> 1.0.7-1
- tag on every build

* Wed Aug 13 2003 Brent Fox <bfox@redhat.com> 1.0.6-1
- replace BuildRequires on python-tools with gettext

* Tue May 27 2003 Brent Fox <bfox@redhat.com> 1.0.5-2
- fix desktop file encoding problem (bug #91685)

* Wed May 21 2003 Brent Fox <bfox@redhat.com> 1.0.5-1
- make parser ignore commented lines in modules.conf

* Fri May 16 2003 Brent Fox <bfox@redhat.com> 1.0.4-3
- convert da.po to UTF-8 (bug #88461)

* Thu Feb 13 2003 Brent Fox <bfox@redhat.com> 1.0.4-2
- Add BuildRequires for python-tools (bug #84218)

* Wed Feb  5 2003 Brent Fox <bfox@redhat.com> 1.0.4-1
- remove cards with unknown drivers from the list (bug #83234)

* Thu Jan 30 2003 Brent Fox <bfox@redhat.com> 1.0.3-1
- bump and build

* Tue Jan 14 2003 Brent Fox <bfox@redhat.com> 1.0.2-4
- Don't need parent window for dialogs (#81843)

* Tue Dec 24 2002 Brent Fox <bfox@redhat.com> 1.0.2-3
- prevent duplicate entries in /etc/modules.conf (bug #80305)

* Wed Dec 18 2002 Brent Fox <bfox@redhat.com> 1.0.2-2
- make sure the program exits properly with no soundcards found (#79951)

* Fri Nov 22 2002 Brent Fox <bfox@redhat.com> 
- Ask the user if they heard the test sound or not

* Thu Nov 21 2002 Brent Fox <bfox@redhat.com> 1.0.2-1
- Handle multiple cards better

* Wed Nov 13 2002 Brent Fox <bfox@redhat.com> 1.0.1-4
- open modules.conf

* Tue Nov 12 2002 Brent Fox <bfox@redhat.com> 1.0.1-3
- Rebuild for latest translations

* Fri Aug 30 2002 Brent Fox <bfox@redhat.com> 1.0.1-2
- pull in latest translations

* Wed Aug 28 2002 Brent Fox <bfox@redhat.com> 1.0.1-1
- Convert to noarch

* Wed Aug 28 2002 Brent Fox <bfox@redhat.com> 1.0.0-3
- rebuild for latest translations

* Mon Aug 26 2002 Brent Fox <bfox@redhat.com> 1.0.0-2
- recorded new sound sample

* Wed Aug 21 2002 Brent Fox <bfox@redhat.com> 1.0.0-1
- pull translation domains from rhpl

* Tue Aug 13 2002 Brent Fox <bfox@redhat.com> 0.9.9-3
- pull in translations for desktop file

* Mon Aug 12 2002 Tammy Fox <tfox@redhat.com> 0.9.9-2
- replace System with SystemSetup in desktop file categories

* Mon Aug 05 2002 Brent Fox <bfox@redhat.com> 0.9.9-1
- Pull in desktop file translations

* Fri Aug 02 2002 Brent Fox <bfox@redhat.com> 0.9.8-1
- Make changes for new pam timestamp policy

* Thu Aug 01 2002 Brent Fox <bfox@redhat.com> 0.9.7-2
- use new sample sound
- require sox for playing ability

* Thu Aug 01 2002 Brent Fox <bfox@redhat.com> 0.9.7-1
- Raise a warning if run from the console

* Wed Jul 24 2002 Brent Fox <bfox@redhat.com> 0.9.6-4
- Raise the volume on /usr/bin/play

* Wed Jul 24 2002 Brent Fox <bfox@redhat.com> 0.9.6-3
- fix Makefiles and spec files so that translations get installed

* Wed Jul 24 2002 Brent Fox <bfox@redhat.com> 0.9.6-2
- update spec file for public beta 2

* Wed Jul 24 2002 Tammy Fox <tfox@redhat.com> 0.9.5-2
- Fix desktop file (bug #69487)

* Thu Jul 18 2002 Brent Fox <bfox@redhat.com> 0.9.5-1
- Use GtkDialog instead of GtkWindow

* Tue Jul 16 2002 Brent Fox <bfox@redhat.com> 0.9.4-2
- bump rev num and rebuild

* Sat Jul 13 2002 Brent Fox <bfox@redhat.com> 0.9.3-3
- Draw window in center of the screen

* Thu Jul 11 2002 Brent Fox <bfox@redhat.com> 0.9.3-2
- Update changelogs and rebuild

* Thu Jul 11 2002 Brent Fox <bfox@redhat.com> 0.9.3-1
- Update changelogs and rebuild

* Mon Jul 01 2002 Brent Fox <bfox@redhat.com> 0.9.2-1
- Bump rev number

* Wed Jun 25 2002 Brent Fox <bfox@redhat.com> 0.9.1-1
- Fixed description

* Tue Jun 25 2002 Brent Fox <bfox@redhat.com> 0.9.0-5
- Create pot file

* Mon Jun 24 2002 Brent <bfox@redhat.com>
- Handle having no soundcards at all

* Mon Jun 24 2002 Brent Fox <bfox@redhat.com> 0.9.0-4
- Fix spec file

* Fri Jun 21 2002 Brent Fox <bfox@redhat.com> 0.9.0-3
- rebuild for completeness

* Thu Jun 20 2002 Brent Fox <bfox@redhat.com> 0.9.0-2
- Add snapsrc to Makefile

* Wed Jun 12 2002 Brent Fox <bfox@redhat.com> 0.1.0-7
- Comment out writing the file for now

* Mon Jun 03 2002 Brent Fox <bfox@redhat.com> 0.1.0-6
- Move the splitting of description in to maker and model to the backend

* Fri May 31 2002 Brent Fox <bfox@redhat.com> 0.1.0-5
- Allow redhat-config-soundcard to return a string to firstboot if the card has changed

* Fri May 31 2002 Brent Fox <bfox@redhat.com> 0.1.0-4
- Use a different icon now

* Thu May 30 2002 Brent Fox <bfox@redhat.com> 0.1.0-3
- Remove symlink for firstboot.  It won't be it's own step in firstboot

* Thu May 30 2002 Brent Fox <bfox@redhat.com> 0.1.0-2
- Added some code to make it callable from firstboot

* Fri May 17 2002 Brent Fox <bfox@redhat.com>
- initial coding and packaging

